coding_units.hpp File Reference
`#include <cstdint>`
`#include <vector>`
`#include "open_htj2k_typedef.hpp"`
`#include <cassert>`
`#include <string>`
`#include <memory>`
`#include "utils.hpp"`
`#include <cstring>`
`#include <functional>`

Go to the source code of this file.

## Classes

class | j2k_region
class | j2k_codeblock

## Functions

int32_t | htj2k_encode (j2k_codeblock *block, uint8_t ROIshift) noexcept

## Function Documentation

## htj2k_encode()

int32_t htj2k_encode | ( | j2k_codeblock * | block,
|  | uint8_t | ROIshift
| ) |  |

noexcept

References ceil_int, state_MS_enc::emitMagSgnBits(), state_VLC_enc::emitVLCBits(), enc_CxtVLC_table0, enc_CxtVLC_table1, encode_UVLC0, encode_UVLC1, state_MEL_enc::encodeMEL(), MAKE_STORAGE, make_storage_one(), MAX_Lcup, MAX_Scup, popcount32(), Q0, Q1, round_up, state_MEL_enc::termMEL(), termMELandVLC(), and state_MS_enc::termMS().

Referenced by openhtj2k::T1OpenHTJ2K::compress().